=== modified file 'src/IconTexture.cpp'
--- src/IconTexture.cpp	2011-02-24 13:01:50 +0000
+++ src/IconTexture.cpp	2011-02-28 16:27:57 +0000
@@ -43,12 +43,14 @@
 
   if (!g_strcmp0 (_icon_name, "") == 0)
     LoadIcon ();
+
+  _can_pass_focus_to_composite_layout = false;
 }
 
 IconTexture::~IconTexture ()
 {
   g_free (_icon_name);
-  
+
   if (_texture_cached)
     _texture_cached->UnReference ();
 }
@@ -148,7 +150,7 @@
   nux::Geometry geo = GetGeometry ();
 
   GfxContext.PushClippingRectangle (geo);
-  
+
   if (_texture_cached)
   {
     nux::TexCoordXForm texxform;
@@ -176,6 +178,12 @@
     *height = _texture_height;
 }
 
+bool
+IconTexture::CanFocus ()
+{
+  return false;
+}
+
 const gchar*
 IconTexture::GetName ()
 {

=== modified file 'src/IconTexture.h'
--- src/IconTexture.h	2011-02-21 21:37:26 +0000
+++ src/IconTexture.h	2011-02-28 16:27:57 +0000
@@ -52,6 +52,8 @@
   char *_icon_name;
   unsigned int _size;
 
+  virtual bool CanFocus ();
+
   GdkPixbuf        *_pixbuf_cached;
   nux::BaseTexture *_texture_cached;
   int               _texture_width;

=== modified file 'src/PlacesController.cpp'
--- src/PlacesController.cpp	2011-02-24 07:14:51 +0000
+++ src/PlacesController.cpp	2011-02-28 16:27:57 +0000
@@ -46,7 +46,7 @@
   _factory = new PlaceFactoryFile ();
 
   _window_layout = new nux::HLayout ();
-  
+
   _window = new nux::BaseWindow ("Dash");
   _window->SetBackgroundColor (nux::Color (0.0, 0.0, 0.0, 0.85));
   _window->SinkReference ();
@@ -64,11 +64,13 @@
 
   _window->SetLayout (_window_layout);
   // Set a InputArea to get the keyboard focus when window receives the enter focus event.
-  _window->SetEnterFocusInputArea (_view->GetTextEntryView ());
+  //_window->SetEnterFocusInputArea (_view->GetTextEntryView ());
+  _window->SetFocused (true);
 
   _view->entry_changed.connect (sigc::mem_fun (this, &PlacesController::OnActivePlaceEntryChanged));
 
   PlacesSettings::GetDefault ()->changed.connect (sigc::mem_fun (this, &PlacesController::OnSettingsChanged));
+  _view->SetFocused (true);
 }
 
 PlacesController::~PlacesController ()
@@ -106,7 +108,7 @@
   _window->UnGrabKeyboard ();
   _window->EnableInputWindow (false);
   _window->ShowWindow (false, false);
- 
+
   _visible = false;
 
   _view->SetActiveEntry (NULL, 0, "");
@@ -133,7 +135,7 @@
   primary_monitor = gdk_screen_get_primary_monitor (screen);
   gdk_screen_get_monitor_geometry (screen, primary_monitor, &rect);
 
-  tile_width = settings->GetDefaultTileWidth (); 
+  tile_width = settings->GetDefaultTileWidth ();
 
   if (settings->GetFormFactor () == PlacesSettings::DESKTOP)
   {
@@ -141,7 +143,7 @@
 
     while ((width + tile_width) <= half)
       width += tile_width;
-    
+
     width = MAX (width, tile_width * 7);
     height = ((width/tile_width) - 3) * tile_width;
   }

=== modified file 'src/PlacesGroup.cpp'
--- src/PlacesGroup.cpp	2011-02-27 18:28:00 +0000
+++ src/PlacesGroup.cpp	2011-02-28 16:27:57 +0000
@@ -44,8 +44,8 @@
 
 static const nux::Color kExpandDefaultTextColor (1.0f, 1.0f, 1.0f, 0.6f);
 static const nux::Color kExpandHoverTextColor (1.0f, 1.0f, 1.0f, 1.0f);
-  
-  
+
+
 PlacesGroup::PlacesGroup (NUX_FILE_LINE_DECL)
 : View (NUX_FILE_LINE_PARAM),
   _content_layout (NULL),
@@ -59,7 +59,7 @@
 
   _header_layout = new nux::HLayout (NUX_TRACKER_LOCATION);
   _group_layout->AddLayout (_header_layout, 0, nux::MINOR_POSITION_TOP, nux::MINOR_SIZE_FULL);
-  
+
   _icon = new IconTexture ("", 24);
   _icon->SetMinimumSize (24, 24);
   _header_layout->AddView (_icon, 0, nux::MINOR_POSITION_CENTER, nux::MINOR_SIZE_FIX);
@@ -68,7 +68,7 @@
   _name->SetTextEllipsize (nux::StaticCairoText::NUX_ELLIPSIZE_END);
   _name->SetTextAlignment (nux::StaticCairoText::NUX_ALIGN_LEFT);
   _header_layout->AddView (_name, 0, nux::MINOR_POSITION_CENTER, nux::MINOR_SIZE_FIX);
-  
+
   _expand_label = new nux::StaticCairoText ("Expand", NUX_TRACKER_LOCATION);
   _expand_label->SetTextEllipsize (nux::StaticCairoText::NUX_ELLIPSIZE_END);
   _expand_label->SetTextAlignment (nux::StaticCairoText::NUX_ALIGN_LEFT);
@@ -100,7 +100,7 @@
   // Bear with me, I'm trying something different :)
   const gchar *temp = "    <big>%s</big>    ";
   gchar *tmp, *final;
-  
+
   tmp = g_markup_escape_text (name, -1);
 
   final = g_strdup_printf (temp, tmp);
@@ -166,7 +166,7 @@
 
   ComputeChildLayout ();
   QueueDraw ();
-  
+
   g_free ((result_string));
   g_free (final);
 }
@@ -195,10 +195,8 @@
 PlacesGroup::ProcessEvent (nux::IEvent &ievent, long TraverseInfo, long ProcessEventInfo)
 {
   long ret = TraverseInfo;
-
   if (GetGeometry ().IsPointInside (ievent.e_x, ievent.e_y))
     ret = _group_layout->ProcessEvent (ievent, TraverseInfo, ProcessEventInfo);
-
   return ret;
 }
 

=== modified file 'src/PlacesGroup.h'
--- src/PlacesGroup.h	2011-02-27 18:20:27 +0000
+++ src/PlacesGroup.h	2011-02-28 16:27:57 +0000
@@ -33,13 +33,13 @@
 class PlacesGroup : public nux::View
 {
 public:
-  
+
   PlacesGroup (NUX_FILE_LINE_PROTO);
   ~PlacesGroup ();
 
   void SetIcon (const char *icon);
   void SetName (const char *name);
- 
+
   void          SetChildLayout (nux::Layout *layout);
   nux::Layout * GetChildLayout ();
 
@@ -68,7 +68,7 @@
   nux::VLayout *_group_layout;
   nux::HLayout *_header_layout;
   nux::Layout  *_content_layout;
-  
+
   IconTexture          *_icon;
   nux::StaticCairoText *_name;
   nux::StaticCairoText *_expand_label;

=== modified file 'src/PlacesResultsView.cpp'
--- src/PlacesResultsView.cpp	2011-02-27 13:50:25 +0000
+++ src/PlacesResultsView.cpp	2011-02-28 16:27:57 +0000
@@ -67,3 +67,9 @@
 {
   _layout->Clear ();
 }
+
+//~ void
+//~ SetFocused (bool focused)
+//~ {
+  //~ g_debug ("results view got focused");
+//~ }

=== modified file 'src/PlacesSearchBar.cpp'
--- src/PlacesSearchBar.cpp	2011-02-25 15:41:25 +0000
+++ src/PlacesSearchBar.cpp	2011-02-28 16:27:57 +0000
@@ -71,7 +71,7 @@
 
   _layout->SetVerticalExternalMargin (18);
   _layout->SetHorizontalExternalMargin (18);
-  
+
   SetLayout (_layout);
 
   SetCompositionLayout (_layout);
@@ -99,6 +99,12 @@
   return "";
 }
 
+bool
+PlacesSearchBar::CanFocus ()
+{
+  return false;
+}
+
 void PlacesSearchBar::AddProperties (GVariantBuilder *builder)
 {
   nux::Geometry geo = GetGeometry ();
@@ -138,7 +144,7 @@
   GfxContext.PushClippingRectangle (GetGeometry() );
 
   gPainter.PushLayer (GfxContext, GetGeometry (), _bg_layer);
-  
+
   _layout->ProcessDraw (GfxContext, force_draw);
 
   gPainter.PopBackground ();
@@ -172,9 +178,9 @@
       _entry->SetActiveSection (section_id);
       _entry->SetSearch (search_string ? search_string : "", hints);
     }
-    
+
     _pango_entry->SetText (search_string ? search_string : "");
-    
+
     g_free (res);
     g_free (tmp);
   }
@@ -191,7 +197,7 @@
 
   if (_live_search_timeout)
     g_source_remove (_live_search_timeout);
-  
+
   _live_search_timeout = g_timeout_add (LIVE_SEARCH_TIMEOUT,
                                         (GSourceFunc)&OnLiveSearchTimeout,
                                         this);
@@ -324,7 +330,7 @@
 
   if (geo.width == _last_width && geo.height == _last_height)
     return;
-   
+
   _last_width = geo.width;
   _last_height = geo.height;
 
@@ -376,7 +382,7 @@
   rop.Blend = true;                      // Disable the blending. By default rop.Blend is false.
   rop.SrcBlend = GL_ONE;                  // Set the source blend factor.
   rop.DstBlend = GL_ONE_MINUS_SRC_ALPHA;  // Set the destination blend factor.
-  
+
   _bg_layer = new nux::TextureLayer (texture2D->GetDeviceTexture(),
                                      texxform,          // The Oject that defines the texture wraping and coordinate transformation.
                                      nux::Color::White, // The color used to modulate the texture.

=== modified file 'src/PlacesSearchBar.h'
--- src/PlacesSearchBar.h	2011-02-25 15:41:25 +0000
+++ src/PlacesSearchBar.h	2011-02-28 16:27:57 +0000
@@ -56,11 +56,13 @@
                        bool        ignore=false);
 
   sigc::signal<void, const char *> search_changed;
-  
+
+  bool CanFocus ();
+
 protected:
   // Introspectable methods
   const gchar * GetName ();
-  const gchar * GetChildsName (); 
+  const gchar * GetChildsName ();
   void AddProperties (GVariantBuilder *builder);
 
 private:

=== modified file 'src/PlacesTile.cpp'
--- src/PlacesTile.cpp	2011-02-27 14:43:09 +0000
+++ src/PlacesTile.cpp	2011-02-28 16:27:57 +0000
@@ -39,6 +39,8 @@
   OnMouseClick.connect (sigc::mem_fun (this, &PlacesTile::RecvMouseClick));
   OnMouseEnter.connect (sigc::mem_fun (this, &PlacesTile::RecvMouseEnter));
   OnMouseLeave.connect (sigc::mem_fun (this, &PlacesTile::RecvMouseLeave));
+  FocusChanged.connect (sigc::mem_fun (this, &PlacesTile::OnFocusChanged));
+  _can_pass_focus_to_composite_layout = false;
 }
 
 PlacesTile::~PlacesTile ()
@@ -53,6 +55,11 @@
     delete _hilight_layer;
 }
 
+void PlacesTile::OnFocusChanged (nux::Area *area)
+{
+  QueueDraw ();
+}
+
 nux::Geometry
 PlacesTile::GetHighlightGeometry ()
 {
@@ -68,50 +75,50 @@
                                                                highlight_geo.width + PADDING,
                                                                highlight_geo.height + PADDING);
   cairo_t *cr = cairo_graphics->GetContext();
-  
+
   cairo_scale (cr, 1.0f, 1.0f);
-  
+
   cairo_set_source_rgba (cr, 1.0, 1.0, 1.0, 0.0);
   cairo_set_operator (cr, CAIRO_OPERATOR_CLEAR);
   cairo_paint (cr);
-  
+
   // draw tiled background
   // set up clip path
   cairo_set_operator (cr, CAIRO_OPERATOR_SOURCE);
   DrawRoundedRectangle (cr, 1.0, 0, 0, 5.0, highlight_geo.width + PADDING, highlight_geo.height + PADDING);
   cairo_clip (cr);
-  
+
   int              w, h;
   cairo_surface_t *image;
   cairo_pattern_t *pattern;
-  
+
   cairo_set_source_rgba (cr, 1.0, 1.0, 1.0, 1.0);
   image = cairo_image_surface_create_from_png (PKGDATADIR"/places-tile-bg-tilable.png");
   w = cairo_image_surface_get_width (image);
   h = cairo_image_surface_get_height (image);
-  
-  
+
+
   pattern = cairo_pattern_create_for_surface (image);
   cairo_pattern_set_extend (pattern, CAIRO_EXTEND_REPEAT);
-  
+
   cairo_set_source (cr, pattern);
-  
+
   cairo_rectangle (cr, 0, 0, base.width, base.height);
   cairo_fill (cr);
-  
+
   cairo_pattern_destroy (pattern);
   cairo_surface_destroy (image);
-  
+
   // draw the outline
   cairo_set_operator (cr, CAIRO_OPERATOR_SOURCE);
-  
+
   DrawRoundedRectangle (cr, 1.0, 0, 0, 5.0, highlight_geo.width + PADDING, highlight_geo.height + PADDING);
   cairo_set_source_rgba (cr, 0.66, 0.66, 0.66, 1.0);
   cairo_set_line_width (cr, 1.0);
   cairo_stroke (cr);
-  
+
   cairo_destroy (cr);
-  
+
   nux::NBitmapData *bitmap =  cairo_graphics->GetBitmap();
   nux::BaseTexture *tex = nux::GetThreadGLDeviceFactory()->CreateSystemCapableTexture ();
   tex->Update (bitmap);
@@ -152,17 +159,17 @@
     _hilight_background->UnReference ();
     con_obj.disconnect ();
   }
-    
+
   con_obj = hilight_tex->OnDestroyed.connect (sigc::mem_fun (this, &PlacesTile::OnDestroyNotify));
-  
+
   _hilight_background = hilight_tex;
   _hilight_background->Reference ();
-    
-  nux::ROPConfig rop; 
+
+  nux::ROPConfig rop;
   rop.Blend = true;
   rop.SrcBlend = GL_ONE;
   rop.DstBlend = GL_ONE_MINUS_SRC_ALPHA;
-  
+
   nux::TexCoordXForm texxform;
   texxform.SetTexCoordType (nux::TexCoordXForm::OFFSET_COORD);
   texxform.SetWrap (nux::TEXWRAP_REPEAT, nux::TEXWRAP_REPEAT);
@@ -197,13 +204,13 @@
                                   double   height)
 {
   double radius = cornerRadius / aspect;
-  
+
   // top-left, right of the corner
   cairo_move_to (cr, _align (x + radius), _align (y));
-  
+
   // top-right, left of the corner
   cairo_line_to (cr, _align (x + width - radius), _align (y));
-  
+
   // top-right, below the corner
   cairo_arc (cr,
              _align (x + width - radius),
@@ -211,10 +218,10 @@
              radius,
              -90.0f * G_PI / 180.0f,
              0.0f * G_PI / 180.0f);
-  
+
   // bottom-right, above the corner
   cairo_line_to (cr, _align (x + width), _align (y + height - radius));
-  
+
   // bottom-right, left of the corner
   cairo_arc (cr,
              _align (x + width - radius),
@@ -222,10 +229,10 @@
              radius,
              0.0f * G_PI / 180.0f,
              90.0f * G_PI / 180.0f);
-  
+
   // bottom-left, right of the corner
   cairo_line_to (cr, _align (x + radius), _align (y + height));
-  
+
   // bottom-left, above the corner
   cairo_arc (cr,
              _align (x + radius),
@@ -233,7 +240,7 @@
              radius,
              90.0f * G_PI / 180.0f,
              180.0f * G_PI / 180.0f);
-  
+
   // top-left, right of the corner
   cairo_arc (cr,
              _align (x + radius),
@@ -259,7 +266,7 @@
 
   gfxContext.PushClippingRectangle (base);
 
-  if (IsMouseInside ())
+  if (GetFocused ())
   {
     UpdateBackground ();
     nux::Geometry hl_geo = GetHighlightGeometry ();
@@ -282,7 +289,7 @@
 
   GfxContext.PushClippingRectangle (base);
 
-  if (IsMouseInside ())
+  if (GetFocused ())
   {
     UpdateBackground ();
 
@@ -297,7 +304,7 @@
 
   if (GetCompositionLayout ())
     GetCompositionLayout ()->ProcessDraw (GfxContext, force_draw);
-  
+
   if (IsMouseInside ())
     nux::GetPainter ().PopBackground ();
 
@@ -334,3 +341,9 @@
 {
   QueueDraw ();
 }
+
+void
+PlacesTile::ActivateFocus ()
+{
+  sigClick.emit (this);
+}

=== modified file 'src/PlacesTile.h'
--- src/PlacesTile.h	2011-02-27 14:43:09 +0000
+++ src/PlacesTile.h	2011-02-28 16:27:57 +0000
@@ -36,9 +36,11 @@
 
   sigc::signal<void, PlacesTile*> sigClick;
 
+  virtual void ActivateFocus ();
+
 protected:
   virtual nux::Geometry GetHighlightGeometry ();
-  
+
 private:
   void Draw (nux::GraphicsEngine &GfxContext, bool force_draw);
   void DrawContent (nux::GraphicsEngine &GfxContext, bool force_draw);
@@ -50,7 +52,7 @@
   void RecvMouseUp (int x, int y, unsigned long button_flags, unsigned long key_flags);
   void RecvMouseClick (int x, int y, unsigned long button_flags, unsigned long key_flags);
   void OnDestroyNotify (nux::Trackable *Object);
-  
+
   void UpdateBackground ();
   void DrawRoundedRectangle (cairo_t* cr,
                              double   aspect,
@@ -60,11 +62,13 @@
                              double   width,
                              double   height);
   void DrawHighlight (const char *texid, int width, int height, nux::BaseTexture **texture);
-  
+
 private:
   nux::BaseTexture  *_hilight_background;
   nux::TextureLayer *_hilight_layer;
 
+  void OnFocusChanged (nux::Area *area);
+
   int _last_width;
   int _last_height;
 

=== modified file 'src/PlacesView.cpp'
--- src/PlacesView.cpp	2011-02-27 13:50:25 +0000
+++ src/PlacesView.cpp	2011-02-28 16:27:57 +0000
@@ -44,7 +44,7 @@
   _home_entry = new PlaceEntryHome (_factory);
 
   _layout = new nux::VLayout (NUX_TRACKER_LOCATION);
-  
+
   _search_bar = new PlacesSearchBar ();
   _layout->AddView (_search_bar, 0, nux::eCenter, nux::eFull);
   AddChild (_search_bar);
@@ -52,7 +52,7 @@
 
   _layered_layout = new nux::LayeredLayout (NUX_TRACKER_LOCATION);
   _layout->AddLayout (_layered_layout, 1, nux::eCenter, nux::eFull);
-  
+
   _home_view = new PlacesHomeView ();
   _layered_layout->AddLayer (_home_view);
   AddChild (_home_view);
@@ -81,6 +81,8 @@
   _icon_loader = IconLoader::GetDefault ();
 
   SetActiveEntry (_home_entry, 0, "");
+
+  //_layout->SetFocused (true);
 }
 
 PlacesView::~PlacesView ()
@@ -130,10 +132,10 @@
   GfxContext.PushClippingRectangle (GetGeometry() );
   GfxContext.GetRenderStates ().SetBlend (true);
   GfxContext.GetRenderStates ().SetPremultipliedBlend (nux::SRC_OVER);
-  
+
   if (_layout)
     _layout->ProcessDraw (GfxContext, force_draw);
-  
+
   GfxContext.GetRenderStates ().SetBlend (false);
 
   GfxContext.PopClippingRectangle ();
@@ -161,14 +163,14 @@
 
     _results_controller->Clear ();
   }
-  
+
   _entry = entry;
 
   _entry->SetActive (true);
   _search_bar->SetActiveEntry (_entry, section_id, search_string, (_entry == _home_entry));
 
   _entry->ForeachGroup (sigc::mem_fun (this, &PlacesView::OnGroupAdded));
-  
+
   if (_entry != _home_entry)
     _entry->ForeachResult (sigc::mem_fun (this, &PlacesView::OnResultAdded));
 
@@ -312,7 +314,7 @@
     SetActiveEntry (_home_entry, section_id, search_string);
     return;
   }
-  
+
   for (it = places.begin (); it != places.end (); ++it)
   {
     Place *place = static_cast<Place *> (*it);
@@ -367,7 +369,7 @@
   g_variant_builder_add (builder, "{sv}", "x", g_variant_new_int32 (geo.x));
   g_variant_builder_add (builder, "{sv}", "y", g_variant_new_int32 (geo.y));
   g_variant_builder_add (builder, "{sv}", "width", g_variant_new_int32 (geo.width));
-  g_variant_builder_add (builder, "{sv}", "height", g_variant_new_int32 (geo.height)); 
+  g_variant_builder_add (builder, "{sv}", "height", g_variant_new_int32 (geo.height));
 }
 
 //

=== modified file 'src/StaticCairoText.cpp'
--- src/StaticCairoText.cpp	2011-02-27 18:20:27 +0000
+++ src/StaticCairoText.cpp	2011-02-28 16:27:57 +0000
@@ -36,7 +36,7 @@
   _fontstring (NULL),
   _cairoGraphics (NULL),
   _texture2D (NULL)
-  
+
 {
   _textColor  = Color(1.0f, 1.0f, 1.0f, 1.0f);
   _text       = TEXT (text);
@@ -44,6 +44,7 @@
   _need_new_extent_cache = true;
   _pre_layout_width = 0;
   _pre_layout_height = 0;
+  _can_pass_focus_to_composite_layout = false;
 
   SetMinimumSize (1, 1);
   _ellipsize = NUX_ELLIPSIZE_END;
@@ -56,7 +57,7 @@
   GtkSettings* settings = gtk_settings_get_default (); // not ref'ed
   g_signal_handlers_disconnect_by_func (settings,
                                         (void *) &StaticCairoText::OnFontChanged,
-                                        this);  
+                                        this);
   if (_texture2D)
     _texture2D->UnReference ();
 
@@ -82,7 +83,7 @@
 {
   int textWidth  = 0;
   int textHeight = 0;
-  
+
   textWidth = _cached_extent_width;
   textHeight = _cached_extent_height;
 
@@ -158,7 +159,7 @@
   TexCoordXForm texxform;
   texxform.SetWrap (TEXWRAP_REPEAT, TEXWRAP_REPEAT);
   texxform.SetTexCoordType (TexCoordXForm::OFFSET_COORD);
-  
+
   t_u32 alpha = 0, src = 0, dest = 0;
 
   gfxContext.GetRenderStates ().GetBlend (alpha, src, dest);
@@ -179,9 +180,9 @@
                        _texture2D->GetDeviceTexture(),
                        texxform,
                        _textColor);
-  
+
   gfxContext.GetRenderStates ().SetBlend (alpha, src, dest);
-  
+
   gfxContext.PopClippingRectangle ();
 }
 
@@ -284,8 +285,8 @@
     height = _cached_extent_height;
     return;
   }
-  
-  
+
+
   int maxwidth = GetMaximumWidth ();
 
   surface = cairo_image_surface_create (CAIRO_FORMAT_A1, 1, 1);
@@ -455,7 +456,7 @@
     _texture2D->UnReference ();
     _texture2D = NULL;
   }
-  
+
   _texture2D = GetThreadGLDeviceFactory()->CreateSystemCapableTexture ();
   _texture2D->Update (bitmap);
 
@@ -476,4 +477,9 @@
   self->sigFontChanged.emit (self);
 }
 
+bool StaticCairoText::CanFocus ()
+{
+  return false;
+}
+
 }

=== modified file 'src/StaticCairoText.h'
--- src/StaticCairoText.h	2011-02-24 13:01:50 +0000
+++ src/StaticCairoText.h	2011-02-28 16:27:57 +0000
@@ -89,12 +89,13 @@
       sigc::signal<void, StaticCairoText*> sigTextChanged;
       sigc::signal<void, StaticCairoText*> sigTextColorChanged;
       sigc::signal<void, StaticCairoText*> sigFontChanged;
+      virtual bool CanFocus ();
 
     private:
       int            _cached_extent_width;
       int            _cached_extent_height;
       bool           _need_new_extent_cache;
-      
+
       NString        _text;
       Color          _textColor;
       EllipsizeState _ellipsize;
@@ -106,7 +107,7 @@
 
       int            _pre_layout_width;
       int            _pre_layout_height;
-      
+
       void GetTextExtents (const TCHAR* font,
                            int&         width,
                            int&         height);

=== modified file 'tests/TestPlaces.cpp'
--- tests/TestPlaces.cpp	2011-02-10 14:34:30 +0000
+++ tests/TestPlaces.cpp	2011-02-28 16:27:57 +0000
@@ -36,27 +36,28 @@
 #include "Place.h"
 #include "PlaceEntry.h"
 
-class TestApp 
+class TestApp
 {
 public:
   TestApp ()
-  {   
+  {
     nux::VLayout *layout = new nux::VLayout(TEXT(""), NUX_TRACKER_LOCATION);
 
     _combo = new nux::ComboBoxSimple (NUX_TRACKER_LOCATION);
     _combo->SetMinimumWidth (150);
     _combo->sigTriggered.connect (sigc::mem_fun (this, &TestApp::OnComboChangedFoRealz));
-    layout->AddView (_combo, 0, nux::eCenter, nux::eFix);
+    //layout->AddView (_combo, 0, nux::eCenter, nux::eFix);
 
     _factory = PlaceFactory::GetDefault ();
     PopulateEntries ();
     _factory->place_added.connect (sigc::mem_fun (this, &TestApp::OnPlaceAdded));
-    
+
     PlacesView *view = new PlacesView (_factory);
     view->SetMinMaxSize(938, 500);
     layout->AddView(view, 1, nux::eCenter, nux::eFix);
 
     layout->SetContentDistribution(nux::eStackCenter);
+    layout->SetFocused (true);
     nux::GetGraphicsThread()->SetLayout (layout);
   }
 
@@ -150,7 +151,7 @@
   nux::WindowThread* wt = nux::CreateGUIThread("Unity Places",
                                                 938, 500, 0, &ThreadWidgetInit, 0);
   app = new TestApp ();
-  
+
   wt->Run(NULL);
   delete wt;
   return 0;

=== modified file 'tests/TestPlacesTiles.cpp'
--- tests/TestPlacesTiles.cpp	2011-02-17 13:03:25 +0000
+++ tests/TestPlacesTiles.cpp	2011-02-28 16:27:57 +0000
@@ -65,6 +65,7 @@
   layout->AddView (tile2, 1, nux::MINOR_POSITION_CENTER, nux::MINOR_SIZE_FULL);
   layout->AddView (tile3, 1, nux::MINOR_POSITION_CENTER, nux::MINOR_SIZE_FULL);
 
+  layout->SetFocused (true);
 
   nux::GetGraphicsThread()->SetLayout (layout);
 }
@@ -84,7 +85,7 @@
   printf ("ControlThread successfully started\n");
 
   nux::WindowThread* mainWindowThread;
-  
+
   mainWindowThread = NUX_STATIC_CAST (nux::WindowThread*, data);
 }
 

